Migration 2.3.9 to 3.0.0 failed

HI,
I have try to migrate to the last version of the xibo CMS but i have a problem during the migration :

    php vendor/bin/phinx  migrate
    Phinx by CakePHP - https://phinx.org. 0.9.2

    using config file ./phinx.php
    PHP Fatal error:  Uncaught Error: Class 'Slim\Middleware' not found in /home/xibo/xibo/custom/XiboForLinuxMiddleware.php:16
    Stack trace:
    #0 /home/xibo/xibo/vendor/composer/ClassLoader.php(444): include()
    #1 /home/xibo/xibo/vendor/composer/ClassLoader.php(322): Composer\Autoload\includeFile('/home/xibo/xibo...')
    #2 [internal function]: Composer\Autoload\ClassLoader->loadClass('Xibo\\Custom\\Xib...')
    #3 /home/xibo/xibo/web/settings.php(28): spl_autoload_call('Xibo\\Custom\\Xib...')
    #4 /home/xibo/xibo/phinx.php(34): require('/home/xibo/xibo...')
    #5 /home/xibo/xibo/vendor/robmorgan/phinx/src/Phinx/Config/Config.php(125): include('/home/xibo/xibo...')
    #6 /home/xibo/xibo/vendor/robmorgan/phinx/src/Phinx/Console/Command/AbstractCommand.php(266): Phinx\Config\Config::fromPhp('/home/xibo/xibo...')
    #7 /home/xibo/xibo/vendor/robmorgan/phinx/src/Phinx/Console/Command/AbstractCommand.php(93): Phinx\Console\Command\AbstractCommand->loadConfig(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleO in /home/xibo/xibo/custom/XiboForLinuxMiddleware.php on line 16

This is the module XiboForLinuxMiddleware for to use linux-player who don’t found the dependencie Class.
\vendor\slim\slim\Slim on 2.3.9 and 3.0.0 are very different.
Do you have a solution?
Thanks alot.

I haven’t seen any instruction for Upgrade to V3. I think will be needed new deployment.

I hope we can update from 2.x version because for the older v3 (3.0.0 alpha to rc2) : You can upgrade to this release from 2.x series.

1 Like

… but only information for upgrade

This Middleware isn’t needed anymore and hasn’t been needed for quite a while, you can edit your settings-custom.php and remove the middleware declaration, and then delete the file.

We have some basic information about upgrading custom modules to v3. It does not specifically mention middleware and we can update that.

Thanks for your answer. I can update my server.
But i have 2 issues…
I use CAS authentification in my V2 and with V3 it’s doesn’t work now. i have this message :
Error: Internal script failure
And i have a second error with my player, i have the error 500 (internal server error)
[08/Jul/2021:17:52:40 +0200] “POST /xmds.php?v=5 HTTP/1.1” 500 5455 “-” “-”
I have try to delete the player and register but i have the same issue…
Do you have an explication?

Hi,
Anybody can help me with CAS Authentification who doesn’t work anymore ??
I have try to install the last 3.0.2 but i the same error…
Thanks alot.

I’m having the same problem. I cannot get CAS to work with CMS 3.0.2. I get an “Error: Internal Script Error”

Posted this in a similar thread:

After modifying the code to enable debugging for phpCAS it gave me better error message. It didn’t like the server port being passed as a string.

Try removing the single quotes from around the port address in the settings file, restart your web server, and try logging in again.

FYI I also noticed that I needed to add users in the webui before they could login. CAS authentication does not automatically add new users.

The Xibo Community site uses cookies. What are cookies?